Bug 190316 - Review Request: perl-Email-MIME-Modifier - Modify Email::MIME Objects Easily
Summary: Review Request: perl-Email-MIME-Modifier - Modify Email::MIME Objects Easily
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 190315
Blocks: FE-ACCEPT 190318
TreeView+ depends on / blocked
 
Reported: 2006-05-01 01:05 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 12:15:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2006-05-01 01:05:59 UTC
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Email-MIME-Modifier.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Email-MIME-1.82-2.src.rpm

Description:
Provides a number of useful methods for manipulating MIME messages.
These method are declared in the "Email::MIME" namespace, and are used
with "Email::MIME" objects.

Comment 1 Jason Tibbitts 2006-05-02 00:00:37 UTC
Oops, wrong SRPM link.  I'm going to assume you meant 
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Email-MIME-Modifier-1.42-2.src.rpm

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
follows the Perl specfile template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   3acf1c19da93334be37f3f9a288acd91  Email-MIME-Modifier-1.42.tar.gz
   3acf1c19da93334be37f3f9a288acd91  Email-MIME-Modifier-1.42.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=5, Tests=68,  0 wallclock secs ( 0.22 cusr +  0.06 csys =  0.28 CPU)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED

Comment 2 Jose Pedro Oliveira 2006-05-04 12:15:49 UTC
Thanks for the review.

Imported and built for FC-4, FC-5, and devel.


Note You need to log in before you can comment on or make changes to this bug.